
From: Jakub Bogusz <qboosh@pld-linux.org>

This patch removes using of floating point operations in tdfxfb - they
are really not needed here (these consts are used only in substitutions
and comparisons with integers) are cause unresolved symbols on some
archs - e.g. on alpha:

*** Warning: "__ltdf2" [drivers/video/tdfxfb.ko] undefined!
*** Warning: "__adddf3" [drivers/video/tdfxfb.ko] undefined!
*** Warning: "__floatsidf" [drivers/video/tdfxfb.ko] undefined!


---

 drivers/video/tdfxfb.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/video/tdfxfb.c~tdfx-remove-float drivers/video/tdfxfb.c
--- 25/drivers/video/tdfxfb.c~tdfx-remove-float	2004-02-25 04:17:01.000000000 -0800
+++ 25-akpm/drivers/video/tdfxfb.c	2004-02-25 04:17:01.000000000 -0800
@@ -86,9 +86,9 @@
 #define DPRINTK(a,b...)
 #endif 
 
-#define BANSHEE_MAX_PIXCLOCK 270000.0
-#define VOODOO3_MAX_PIXCLOCK 300000.0
-#define VOODOO5_MAX_PIXCLOCK 350000.0
+#define BANSHEE_MAX_PIXCLOCK 270000
+#define VOODOO3_MAX_PIXCLOCK 300000
+#define VOODOO5_MAX_PIXCLOCK 350000
 
 static struct fb_fix_screeninfo tdfx_fix __initdata = {
 	.id =		"3Dfx",

_
